From 88c7ac5c5ef9ae4887bdc04e950d36618c6ddf85 Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Fri, 02 Aug 2019 11:27:16 +0800
Subject: [PATCH] add lrzsz dropbear build shell script

---
 ok335xD/3rdparty/lrzsz/build.sh    |   96 ++++++++++++++++++++++++
 ok335xD/3rdparty/dropbear/build.sh |  122 ++++++++++++++++++++++++++++++
 2 files changed, 218 insertions(+), 0 deletions(-)

diff --git a/ok335xD/3rdparty/dropbear/build.sh b/ok335xD/3rdparty/dropbear/build.sh
new file mode 100755
index 0000000..dc6f027
--- /dev/null
+++ b/ok335xD/3rdparty/dropbear/build.sh
@@ -0,0 +1,122 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile dropbear for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2011.04.12
+#+--------------------------------------------------------------------------------------------
+
+PREFIX_PATH=`pwd`/../install/
+
+if [ -z $CROSSTOOL ] ; then
+   CROSSTOOL=/opt/crosstool/cortex-a7/bin/arm-linux-gnueabi-
+fi
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+function compile_x86()
+{
+    # compile for X86 and generate Key
+    msg_banner "Start compile $SRC_NAME for X86"
+    make distclean
+    ./configure && make
+    ./dropbearkey -t rsa -f ${PREFIX_PATH}/dropbear_rsa_host_key
+    chmod 644 ${PREFIX_PATH}/dropbear_rsa_host_key
+    make distclean
+}
+
+function compile_dropbear()
+{
+    SRC_NAME=dropbear-2019.78
+    PACK_SUFIX=tar.bz2
+
+    if [ -f ${PREFIX_PATH}/dropbear ] ; then
+        return 0;
+    fi
+
+    msg_banner "Start donwload $SRC_NAME "
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then
+        wget http://matt.ucc.asn.au/dropbear/releases/${SRC_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi
+
+    tar -xjf ${SRC_NAME}.${PACK_SUFIX}
+    cd ${SRC_NAME}
+
+    msg_banner "Start cross compile $SRC_NAME "
+
+    ./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS} --disable-zlib
+    check_result "ERROR: configure ${SRC_NAME} failure"
+
+    make 
+    check_result "ERROR: compile ${SRC_NAME} failure"
+
+    ${STRIP} dbclient  dropbear
+    cp dropbear ..
+    cp dbclient ../ssh
+    cp dbclient ${PREFIX_PATH}/bin/ssh
+    cp dropbear ${PREFIX_PATH}/bin/
+
+    cd -
+}
+
+function install_script()
+{
+    init_script=S20_dropbear
+cat << EOF > ${init_script}
+#!/bin/sh
+
+mkdir -p /etc/dropbear/
+dropbear -R
+EOF
+
+   chmod 755 ${init_script}
+
+}
+
+export_cross
+
+compile_dropbear
+
+install_script
+
diff --git a/ok335xD/3rdparty/lrzsz/build.sh b/ok335xD/3rdparty/lrzsz/build.sh
new file mode 100755
index 0000000..e56b054
--- /dev/null
+++ b/ok335xD/3rdparty/lrzsz/build.sh
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile lzrz for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2011.04.12
+#+--------------------------------------------------------------------------------------------
+
+PRJ_PATH=`pwd`
+PREFIX_PATH=`pwd`/../install
+
+CROSSTOOL=/opt/crosstool/cortex-a7/bin/arm-linux-gnueabi-
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+function compile_lrzsz()
+{
+    SRC_NAME=lrzsz-0.12.20
+    PACK_SUFIX=tar.gz
+    IMG_NAME=sz
+
+    if [ -f ${PRJ_PATH}/${IMG_NAME} ] ; then
+        return 0;
+    fi
+
+    msg_banner "Start cross compile $SRC_NAME "
+
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then
+        wget http://www.ohse.de/uwe/releases/${SRC_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi
+
+    tar -xzf ${SRC_NAME}.${PACK_SUFIX}
+    cd ${SRC_NAME}
+
+    ./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS}  --enable-thread-support --enable-openssl --enable-function-sections
+    check_result "ERROR: configure ${SRC_NAME} failure"
+
+    make  && make install
+    check_result "ERROR: compile ${SRC_NAME} failure"
+
+    ${STRIP} ${PREFIX_PATH}/bin/lrz
+    ${STRIP} ${PREFIX_PATH}/bin/lsz
+
+    cp ${PREFIX_PATH}/bin/lrz ${PRJ_PATH}/rz
+    cp ${PREFIX_PATH}/bin/lsz ${PRJ_PATH}/sz
+
+    cd -
+}
+
+
+export_cross
+
+compile_lrzsz
+
+

--
Gitblit v1.9.1